Firefly开源社区

rk3399 ubuntu 如何添加 GPU 相关的库

20

积分

0

威望

0

贡献

技术小白

积分
20
发表于 2019-1-24 19:35:41     
这里用了隔壁帖子给的链接下面的库 https://github.com/FireflyTeam/rk-rootfs-build/tree/master/packages/arm64 但是添加的时候出错了
里面有两个包 一个是libmali-rk-midgard-t86x-r14p0_1.6-1_arm64.deb 另一个是libmali-rk-dev_1.6-1_arm64.deb 后面那个依赖于rockchip-mali-midgard14 (= 1.6-1) 说这个没安装
dpkg: dependency problems prevent configuration of rockchip-mali-midgard-dev:
rockchip-mali-midgard-dev depends on rockchip-mali-midgard14 (= 1.6-1); however:
Package rockchip-mali-midgard14 is not installed.

apt-get install 也不行
Package rockchip-mali-midgard14 is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

前面那个包加的时候报错了  
dpkg: error processing archive libmali-rk-midgard-t86x-r14p0_1.6-1_arm64.deb (--install):
trying to overwrite '/usr/lib/aarch64-linux-gnu/libEGL.so', which is also in package libmali-rk-dev:arm64 1.5-4
Errors were encountered while processing:
libmali-rk-midgard-t86x-r14p0_1.6-1_arm64.deb


有大佬知道咋搞吗
回复

使用道具 举报

425

积分

2

威望

4

贡献

技术达人

Rank: 2

积分
425
发表于 2019-1-24 20:44:23     
放在同一个文件夹中,然后执行dpkg -i ./*.deb,需要一起安装才可以的
回复

使用道具 举报

20

积分

0

威望

0

贡献

技术小白

积分
20
发表于 2019-1-24 21:44:36     
penguin 发表于 2019-1-24 20:44
放在同一个文件夹中,然后执行dpkg -i ./*.deb,需要一起安装才可以的

大哥  按照你的方法 好像还是失败了   和前面的报错一样
回复

使用道具 举报

20

积分

0

威望

0

贡献

技术小白

积分
20
发表于 2019-3-18 20:09:08     
penguin 发表于 2019-1-24 20:44
放在同一个文件夹中,然后执行dpkg -i ./*.deb,需要一起安装才可以的

不行啊老哥
回复

使用道具 举报

14

积分

0

威望

0

贡献

技术小白

积分
14
发表于 2019-4-18 14:54:35     
apt remove libmali-rk-dev:arm64
回复

使用道具 举报

*滑块验证:
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

友情链接 : 爱板网 电子发烧友论坛 云汉电子社区 粤ICP备14022046号-2
快速回复 返回顶部 返回列表